Subject: Re: FVWM: modified SloppyFocus

From: Dominik Vogt <[email-masked]>
Date: Fri, 17 Mar 2000 08:57:01 +0100

On Thu, Mar 16, 2000 at 08:56:06AM +0100, Non-HP-atlka wrote:
> On Thu, Mar 16, 2000 at 07:28:34AM +0100, Dominik Vogt wrote:
> > That would be very hard to implement.  With SloppyFocus fvwm has
> > to update the focus window whenever it receives a EnterWindow event.
> > If you destroy a window and switch focus to the last window, fvwm
> > will receive an EnterWindow event for the window below the cursor
> > immediately after the focus is switched.  Now, how can you
> > distinguish between a EnterWindow that was caused by mouse motion
> > and one caused by the previous window with the pointer being
> > unmapped?
> But fvwm knows that a window is destroyed so maybe there should be an
> option
> to warp pointer to the window which was the previous on the list.
> Just ignore EnterWindow event and switch focus to proper window.
> We could set a flag meaning that there was a window closing operation.

The problem is that you can't know how many EnterWindow events
you have to ignore.  In theory it's even possible that the
event arrives five minutes after it actually occured (if the
server is very busy).
 
Bye

Dominik ^_^

-- 
Dominik Vogt, Agilent Technologies, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Adam Tla/lka <[email-masked]>
Date: Fri, 17 Mar 2000 10:47:43 +0100

> event arrives five minutes after it actually occured (if the

OK, that's true so we can  have a time stamp which defines
the time of flag clearing. Any EnterWindow event which has a time stating 
that event appeared before this time stamp should be ignored.
So this time stamp could work as a flag and for example 0 will mean that
any EnterWindow Event will be ignored and ~0 will mean that any event with
time of appearance before the time stamp will be ignored.
What do you think about it?

Regards

-- 
 . .  Adam Tla/lka      mailto:[email-masked]    ^v^ ^v^ ^v^
  )   System  & Network Administration Group           ~~~~~~
  -  Computer Center,  Technical University of Gdansk, Poland
     PGP public key:   finger [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 17 Mar 2000 11:45:58 +0100

> What do you think about it?

But where does said time stamp come from?  You'd have to guess
how long the X server takes to unmap the destroyed window to
determine the right delay.  At the same time the user may move
the mouse and generate 'real' Enter/LeaveNotify events.  Not
that I'm against such a patch if it works reliable, but I can't
see a proper solution.

Bye

Dominik ^_^